
McScM - Feature # 20: Lazy Cegar Tree

Status: Closed Priority: High

Author: Grégoire Sutre Category:

Created: 07/03/2010 Assignee: Grégoire Sutre

Updated: 10/14/2011 Due date: 10/10/2011

Subject: Lazy Cegar Tree

Description: Implement a model-checking engine based on a lazy cegar tree (such as in lazy abstraction / lazy 

interpolation).


History

04/08/2011 01:47 pm - Grégoire Sutre

- Due date deleted (03/01/2011)

- Target version set to 1.x

- Start date deleted (03/01/2011)

08/16/2011 12:29 pm - Grégoire Sutre

- Status changed from New to In Progress

- Priority changed from Normal to High

- Target version changed from 1.x to 1.2

- % Done changed from 0 to 50

09/16/2011 05:29 pm - Grégoire Sutre

- % Done changed from 50 to 80

10/14/2011 11:53 am - Grégoire Sutre

- Status changed from In Progress to Closed

- Start date deleted (10/10/2011)

- % Done changed from 80 to 100

The implementation is complete, cf. commit 1186.  There are performance issues that require further investigation, though.
